# Uses of Interface
org.pentaho.reporting.libraries.formula.LocalizationContext

Packages that use LocalizationContext
Package
Description
org.pentaho.reporting.libraries.formula
org.pentaho.reporting.libraries.formula.util

## Uses of LocalizationContext in org.pentaho.reporting.libraries.formula

Classes in org.pentaho.reporting.libraries.formula that implement LocalizationContext
Modifier and Type
Class
Description
`class`
`DefaultLocalizationContext`
Creation-Date: 03.11.2006, 14:28:12
Methods in org.pentaho.reporting.libraries.formula that return LocalizationContext
Modifier and Type
Method
Description
`LocalizationContext`
DefaultFormulaContext.`getLocalizationContext()`
`LocalizationContext`
FormulaContext.`getLocalizationContext()`
Returns the localization context of this formula.

## Uses of LocalizationContext in org.pentaho.reporting.libraries.formula.util

Methods in org.pentaho.reporting.libraries.formula.util with parameters of type LocalizationContext
Modifier and Type
Method
Description
`static Calendar`
DateUtil.`createCalendar(Date date, LocalizationContext context)`
`static Date`
DateUtil.`createDate(int year, int month, int day, LocalizationContext context)`
`static Date`
DateUtil.`createDateTime(int year, int month, int day, int hour, int minute, int second, LocalizationContext context)`
`static Time`
DateUtil.`createTime(int hour, int minute, int second, LocalizationContext context)`
`static Date`
DateUtil.`now(LocalizationContext context)`